cmake_minimum_required(VERSION 2.6)
project(ZOOM)

set(CMAKE_MODULE_PATH ${ZOOM_SOURCE_DIR})

find_package(Boost REQUIRED)
find_package(OpenGL)
IF (NOT OPENGL_FOUND)
  MESSAGE(FATAL_ERROR "Could not find OpenGL")
ENDIF (NOT OPENGL_FOUND)

find_package(GLEW REQUIRED)
find_package(GLPng REQUIRED)
find_package(LibXml2 REQUIRED)

include_directories(${Boost_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR} ${GLEW_INCLUDE_DIR} ${GLPNG_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})

add_subdirectory(src)
